stages:
    - test
workflow:
  rules:
    - if: $FORCE_PIPELINE == 'true'
    - if: $CI_PIPELINE_SOURCE == 'web'
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
    # Run only for development, main, or release branches
    - if: $CI_COMMIT_BRANCH == 'development'
    - if: $CI_COMMIT_BRANCH == 'main'
    - if: $CI_COMMIT_BRANCH =~ '/^release_/'
    - if: $CI_COMMIT_BRANCH == 'Flight'
    - if: $CI_COMMIT_BRANCH == 'Train'
#If Commit on Flight or Development branch
Flight:build:
  stage: test
  artifacts:
    paths:
      - cd Flight/output/
  rules:
    - if: $CI_COMMIT_BRANCH == "Flight" || $CI_COMMIT_BRANCH == 'main'
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event' && ($CI_MERGE_REQUEST_TARGET_BRANCH_NAME == 'Flight' || $CI_MERGE_REQUEST_TARGET_BRANCH_NAME == 'main')
  script:
    - cd Flight
    - mkdir -p output
    - xcodebuild clean -project Flight.xcodeproj -scheme Flight
    - xcodebuild test -project Flight.xcodeproj -scheme Flight -destination 'platform=iOS Simulator,name=iPhone 11,OS=15.0'
  interruptible: true

